Bug 426987 - Pirut crashes on startup when dissabling install media option
Pirut crashes on startup when dissabling install media option
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-29 08:30 EST by Stephen
Modified: 2009-01-09 00:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:38:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
yum.repos.d - only 3 enabled (2.30 KB, application/octet-stream)
2008-03-12 22:19 EDT, Stephen
no flags Details
ltrace pirut (tgz) (9.03 KB, application/octet-stream)
2008-03-13 07:52 EDT, Stephen
no flags Details

  None (edit)
Description Stephen 2007-12-29 08:30:00 EST
Description of problem:

After upgrading F7 -> F8 via DVD there is a Fedora-install-media.repo file in
/etc/yum.repos.d which is enabled. It causes Pirut to crash.



Version-Release number of selected component (if applicable):

pirut-1.3.28-1.fc8


How reproducible:

Always.


Steps to Reproduce:

1. Choose Add/Remove Software from the main menu and pirut will ask for the CD.
2. Instead, choose the repositories button and uncheck the Install Media option.
3. Choose close.
4. Pirut crashes.
  

Actual results:


Component: pirut
Summary: TB6139ffb8 depsolve.py:92:_getTsInfo:AttributeError: 'NoneType' object
has no attribute 'installonlypkgs'

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 483, in <module>
    main()
  File "/usr/sbin/pirut", line 479, in main
    pm.run()
  File "/usr/sbin/pirut", line 407, in run
    self.doRefresh()
  File "/usr/sbin/pirut", line 423, in doRefresh
    self.doRefreshRepos(self._onlyrepo)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 339, in
doRefreshRepos
    self.reposSetup(pbar, thisrepo)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 303, in reposSetup
    self.doTsSetup()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 72, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 85, in _getTs
    self._getTsInfo()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 92, in _getTsInfo
    self._tsInfo.installonlypkgs = self.conf.installonlypkgs # this kinda sucks
AttributeError: 'NoneType' object has no attribute 'installonlypkgs'

Local variables in innermost frame:
self: <__main__.PackageManager object at 0x8a7a6ac>
Comment 1 Seth Vidal 2008-01-01 22:33:08 EST
Can you tell me what version of yum you have installed?
Comment 2 Stephen 2008-01-01 22:43:59 EST
yum-3.2.8-2.fc8
Comment 3 Seth Vidal 2008-03-12 12:16:51 EDT
can you post your yum.conf file?
Comment 4 Stephen 2008-03-12 16:10:54 EDT
[main]
cachedir=/var/cache/yum
keepcache=0
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=redhat-release
tolerant=1
exactarch=1
obsoletes=1
gpgcheck=1
plugins=1
metadata_expire=1800

# PUT YOUR REPOS HERE OR IN separate files named file.repo
# in /etc/yum.repos.d
Comment 5 Seth Vidal 2008-03-12 16:27:54 EDT
Do you have any yum plugins installed?


could you post:

yum list installed yum\* rpm\*

thanks
Comment 6 Stephen 2008-03-12 16:37:28 EDT
rpm.i386                                 4.4.2.2-7.fc8          installed       
rpm-build.i386                           4.4.2.2-7.fc8          installed       
rpm-libs.i386                            4.4.2.2-7.fc8          installed       
rpm-python.i386                          4.4.2.2-7.fc8          installed       
rpmdevtools.noarch                       6.4-1.fc8              installed       
rpmlint.noarch                           0.82-2.fc8             installed       
yum.noarch                               3.2.8-2.fc8            installed       
yum-fastestmirror.noarch                 1.1.11-1.fc8           installed       
yum-metadata-parser.i386                 1.1.2-1.fc8            installed       
yum-presto.noarch                        0.4.3-1.fc8            installed       
yum-skip-broken.noarch                   1.1.11-1.fc8           installed       
yum-utils.noarch                         1.1.11-1.fc8           installed       
yumex.noarch                             2.0.3-2.fc8            installed
Comment 7 Seth Vidal 2008-03-12 21:48:28 EDT
And can you post all of the .repo files in /etc/yum.repos.d or /etc/yum/repos.d ?

thanks
Comment 8 Stephen 2008-03-12 22:19:12 EDT
Created attachment 297884 [details]
yum.repos.d - only 3 enabled
Comment 9 Seth Vidal 2008-03-12 23:03:55 EDT
okay - so this happens just b/c the installmedia repo exists AT all? Or does it
only happen when it is enabled?
Comment 10 Seth Vidal 2008-03-12 23:11:58 EDT
okay, I tested yum 3.2.12 from rawhide and pirut 1.3.28-1.fc8 and I can't get
enable/disable in the repo editor to make that traceback.

Can make it happen each time?

Can you update to yum from rawhide and test it?

yum install pygpgme
yum --enablerepo=rawhide update yum

then test it again.
Comment 11 Stephen 2008-03-12 23:27:15 EDT
It happens only when it is enabled. When the media repo is enabled, pirut asks
for a cd. Choose the middle button to edit repos. Uncheck the media repo. Close.
Crash.

Happens every time.

Installing from yum rawhide fails:

Error: Cannot retrieve repository metadata (repomd.xml) for repository: rawhide.
Please verify its path and try again


To be honest, I'm not keen to bork my machine with an unstable yum... Sorry.
Comment 12 Seth Vidal 2008-03-12 23:36:01 EDT
I think I cannot replicate this but I want to get someone else to test it:

1. add a .repo file with these contents:
[InstallMedia]
name=Fedora 8
mediaid=1194015397.199387
metadata_expire=-1
gpgcheck=0
cost=500
enabled = 1

2. run pirut

3. when it prompts you to insert the cd, click 'repository manager'

4. disable that repo

this is where it should fallover, right?

Comment 13 Mike McGrath 2008-03-12 23:42:09 EDT
selinux disabled, suggestions from comment #12 caused no crash.  Perhaps a
strace might shed some light on the subject.  Yum version yum-3.2.8-2.fc8 i386 box.
Comment 14 Seth Vidal 2008-03-13 01:37:48 EDT
Strace sounds like fun.

Stephen can you run pirut in strace and make this occur. I'd love to know what
it is doing right before it dies.
Comment 15 Stephen 2008-03-13 07:52:10 EDT
Created attachment 297924 [details]
ltrace pirut (tgz)

4.5. click 'close' on the repository manager, and there is a 3 sec pause as yum
goes on to load plugins before stack trace appears.

How do you 'sudo strace ...' a process? (pirut has a setuid helper, strace
under sudo can't connect to X)

Attached is a the output from:

    $ ltrace -o pirut.ltrace -rfS pirut
Comment 16 Bug Zapper 2008-11-26 04:12:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-01-09 00:38:53 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.